curl --request GET \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/commits/{commitId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"files": [
"<unknown>"
]
}Retrieves a specific commit on a branch by commit ID or keywords.
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId}/commits/{commitId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"files": [
"<unknown>"
]
}Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
Project ID
Branch ID or "main" for the default branch
Commit ID or "base"/"latest" keywords
Whether to include file content in the response
The requested commit
The requested commit
Commit ID
Commit message
Branch ID
Project ID
ID of user who created the commit
Creation timestamp
User who created the commit
Show child attributes
Commit files
Was this page helpful?